import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetDeletedAllocatedRequestsService = createAsyncThunk(
  "PROVINCE_GET_DELETED_ALLOCATED_REQUESTS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `province_kill_request/?allocations&deleted_object`,
      {
        params: {
          role: getRoleFromUrl(),
          role_key: d.role_key || "",
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          filter: "search",
          value: d.textValue,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
